@import './inputs';
@import './checkboxes';
@import './radiobuttons';
@import './choices';
@import './range';

.form-group {
    margin-bottom: size-rel(20px);

    &--xl {
        margin-bottom: rem(34);
    }
}


.form-inline {
    display: block;
    position: relative;

    &__input {
        width: 100%;
        display: block;
        height: rem(50);
        background: #F6F6F9;
        border-radius: rem(8);
        font-size: rem(14);
        line-height: rem(24);
        padding: rem(12) rem(50) rem(12) rem(20);
        border: rem(1) solid #F6F6F9;
        @include placeholder($black);

        &::-ms-clear {
            display: none;
            width: 0;
            height: 0;
        }

        &:focus,
        &:active {
            outline: none;
            @include placeholder(transparent);
        }

    }

    &__button {
        top: rem(8);
        right: rem(8);
        margin: 0;
        padding: 0;
        border: none;
        outline: none;
        font-size: 0;
        line-height: 0;
        width: rem(34);
        height: rem(34);
        cursor: pointer;
        position: absolute;
        background: $white;
        border-radius: rem(4);
        box-shadow: 0 1px 1px 0px rgba(0, 0, 0, 0.15);
        display: flex;
        align-items: center;
        justify-content: center;
        fill: $blue;

        i {
            height: rem(15);
            display: inline-block;
        }
    }
}
